Qt Reference Documentation

# Q3HttpResponseHeader Class Reference

The Q3HttpResponseHeader class contains response header information for HTTP. More...

     #include <Q3HttpResponseHeader>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits: Q3HttpHeader.

- List of all members, including inherited members

## Public Functions

| Q3HttpResponseHeader ()
| Q3HttpResponseHeader ( const Q3HttpResponseHeader & header )
QString | reasonPhrase () const
int | statusCode () const

## Reimplemented Public Functions

virtual int | majorVersion () const
virtual int | minorVersion () const
virtual QString | toString () const

- 16 public functions inherited from Q3HttpHeader

## Detailed Description

The Q3HttpResponseHeader class contains response header information for HTTP.

This class is used by the Q3Http class to report the header information that the client received from the server.

HTTP responses have a status code that indicates the status of the response. This code is a 3-digit integer result code (for details see to RFC 1945). In addition to the status code, you can also specify a human-readable text that describes the reason for the code ("reason phrase"). This class allows you to get the status code and the reason phrase.

See also Q3HttpRequestHeader and Q3Http.

## Member Function Documentation

### Q3HttpResponseHeader::Q3HttpResponseHeader ()

Constructs an empty HTTP response header.

### Q3HttpResponseHeader::Q3HttpResponseHeader ( const Q3HttpResponseHeader & header )

Constructs a copy of header.

### int Q3HttpResponseHeader::majorVersion () const`[virtual]`

Reimplemented from Q3HttpHeader::majorVersion().

Returns the major protocol-version of the HTTP response header.

See also minorVersion(), statusCode(), and reasonPhrase().

### int Q3HttpResponseHeader::minorVersion () const`[virtual]`

Reimplemented from Q3HttpHeader::minorVersion().

Returns the minor protocol-version of the HTTP response header.

See also majorVersion(), statusCode(), and reasonPhrase().

### QString Q3HttpResponseHeader::reasonPhrase () const

Returns the reason phrase of the HTTP response header.

See also statusCode(), majorVersion(), and minorVersion().

### int Q3HttpResponseHeader::statusCode () const

Returns the status code of the HTTP response header.

See also reasonPhrase(), majorVersion(), and minorVersion().

### QString Q3HttpResponseHeader::toString () const`[virtual]`

Reimplemented from Q3HttpHeader::toString().